/********************************************************************************
 *	document.h
 *
 *	File Management Header
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/

#define _H_document


#include <FileMgr.h>
#include <StdFilePkg.h>


#define LUCH_TAG	'LCH'


typedef enum {
	fmNew = 1, fmOpen, fmClose, fmSpace1, 
	fmSave, fmSaveAs, fmRevert, fmSpace2,
	fmSetUp, fmPrint, fmSpace3, 
	fmQuit
} fmItems;


/* External Function Prototypes
 */
#ifdef PROTOTYPES
Boolean DocReadFile (StringPtr fileName, WORD vRefNum);
Boolean DocWriteFile (StringPtr fileName, WORD vRefNum);
Boolean DocOpenFile (WindowPtr theWindow, StringPtr fileName, WORD vRefNum);
Boolean DocSaveFile (WindowPtr theWindow, StringPtr fileName, WORD vRefNum);

void DocNew (WindowPtr theWindow);
void DocOpen (WindowPtr theWindow);
Boolean DocClose (WindowPtr theWindow);
Boolean DocSave (WindowPtr theWindow);
Boolean DocSaveAs (WindowPtr theWindow);
void DocRevert (WindowPtr theWindow);
void DocMenu (WORD theItem);
#endif
